libzypp 17.37.10

zyppng::SocketPrivate::ConnectingState Struct Reference

`#include <zypp-core/zyppng/io/private/socket_p.h>`

Inheritance diagram for zyppng::SocketPrivate::ConnectingState:

## Public Member Functions
| NON_COPYABLE (ConnectingState)
| ConnectingState ()=default

## Static Public Member Functions
static constexpr Socket::SocketState | type ()

## Public Attributes
SocketNotifier::Ptr | _connectNotifier
Timer::Ptr | _connectTimeout

## Detailed Description

Definition at line 81 of file socket_p.h.

## Constructor & Destructor Documentation

## ◆ ConnectingState()

zyppng::SocketPrivate::ConnectingState::ConnectingState | ( |  | ) |
| default

## Member Function Documentation

## ◆ NON_COPYABLE()

zyppng::SocketPrivate::ConnectingState::NON_COPYABLE | ( | ConnectingState |  | ) |

## ◆ type()

constexpr Socket::SocketState zyppng::SocketPrivate::ConnectingState::type | ( |  | ) |
| inline static constexpr

Definition at line 85 of file socket_p.h.

## Member Data Documentation

## ◆ _connectNotifier

SocketNotifier::Ptr zyppng::SocketPrivate::ConnectingState::_connectNotifier

Definition at line 87 of file socket_p.h.

## ◆ _connectTimeout

Timer::Ptr zyppng::SocketPrivate::ConnectingState::_connectTimeout

Definition at line 88 of file socket_p.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/io/private/socket_p.h